Package com.pixelmed.anatproc

# Class CodedConcept

java.lang.Object
com.pixelmed.anatproc.Concept
com.pixelmed.anatproc.CodedConcept

Direct Known Subclasses:
  `DisplayableConcept`

public class CodedConcept extends Concept

This class represents a concept that has a coded representation.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`codeMeaning`
`protected String`
`codeStringEquivalent`
`protected String`
`codeValue`
`protected String`
`codingSchemeDesignator`
`protected String`
`codingSchemeVersion`
`protected String`
`conceptIdentifier`
`protected String`
`legacyCodingSchemeDesignator`
`protected String[]`
`synonynms`

### Fields inherited from class com.pixelmed.anatproc.Concept

`conceptUniqueIdentifier`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CodedConcept()`
``
`CodedConcept(String conceptUniqueIdentifier, String conceptIdentifier, String codingSchemeDesignator, String legacyCodingSchemeDesignator, String codingSchemeVersion, String codeValue, String codeMeaning, String codeStringEquivalent, String[] synonynms)`
Create a coded concept.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCodeAsString()`
`CodedSequenceItem`
`getCodedSequenceItem()`
`String`
`getCodeMeaning()`
`String`
`getCodeStringEquivalent()`
`String`
`getCodeValue()`
`String`
`getCodingSchemeDesignator()`
`String`
`getCodingSchemeVersion()`
`String`
`getConceptIdentifier()`
`String`
`getLegacyCodingSchemeDesignator()`
`String[]`
`getSynonyms()`
`String`
`toString()`
`String`
`toStringBrief()`

### Methods inherited from class com.pixelmed.anatproc.Concept

`equals, getConceptUniqueIdentifier, hashCode`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### conceptIdentifier

protected String conceptIdentifier

### codingSchemeDesignator

protected String codingSchemeDesignator

### legacyCodingSchemeDesignator

protected String legacyCodingSchemeDesignator

### codingSchemeVersion

protected String codingSchemeVersion

### codeValue

protected String codeValue

### codeMeaning

protected String codeMeaning

### codeStringEquivalent

protected String codeStringEquivalent

### synonynms

protected String[] synonynms

## Constructor Details

### CodedConcept

public CodedConcept(String conceptUniqueIdentifier, String conceptIdentifier, String codingSchemeDesignator, String legacyCodingSchemeDesignator, String codingSchemeVersion, String codeValue, String codeMeaning, String codeStringEquivalent, String[] synonynms)

Create a coded concept.

Parameters:
  `conceptUniqueIdentifier` - the unique identifier of the concept, usually a UMLS CUI; required to be unique within the scope of comparisons using `equals(Object)`
  `conceptIdentifier` - the scheme-specific concept identifier, e.g., for SNOMED-CT, the SNOMED Concept Identifier
  `codingSchemeDesignator` - the DICOM PS3.16 Section 8 coding scheme used as the DICOM Coding Scheme Designator, e.g., "SRT", "DCM", "LN", or a private coding scheme
  `legacyCodingSchemeDesignator` - a legacy (alternative) coding scheme, e.g. "SNM3" if what is used in DICOM context groups instead of "SRT"; null if none required (i.e., treat the same as codingSchemeDesignator)
  `codingSchemeVersion` - the version of the coding scheme in which this code is defined, if necessary; null if none required
  `codeValue` - the code used as the DICOM Code Value (e.g., the SNOMED-RT style code rather than the SNOMED-CT style Concept Identifier)
  `codeMeaning` - the text used as the DICOM Code Meaning
  `codeStringEquivalent` - the text value used for a DICOM Code String VR equivalent attribute (e.g., for Body Part Examined instead of in Anatomic Region Sequence); may be null
  `synonynms` - alternative code meanings, including abbreviations or different languages; may be null or empty

### CodedConcept

protected CodedConcept()

## Method Details

### getConceptIdentifier

public String getConceptIdentifier()

### getCodingSchemeDesignator

public String getCodingSchemeDesignator()

### getLegacyCodingSchemeDesignator

public String getLegacyCodingSchemeDesignator()

### getCodingSchemeVersion

public String getCodingSchemeVersion()

### getCodeValue

public String getCodeValue()

### getCodeMeaning

public String getCodeMeaning()

### getCodeStringEquivalent

public String getCodeStringEquivalent()

### getSynonyms

public String[] getSynonyms()

### getCodedSequenceItem

public CodedSequenceItem getCodedSequenceItem() throws DicomException

Throws:
  `DicomException`

### getCodeAsString

public String getCodeAsString()

### toString

public String toString()

Overrides:
  `toString` in class `Concept`

### toStringBrief

public String toStringBrief()